var Hapi = require('./index');

var CASE = process.env.CASE || "2";

var loadUser = function (id, callback) {
    return callback(null, {
        id: 'john',
        password: '12345',
        scope: [],
        ext: {
            tos: 100
        }
    });
};
var basicHandler = function (request) {
    request.reply('Success');
};

switch (CASE) {
    case "1": 
        // no server auth configured
        // should not ask for credentials
        var config = {};
        break;
    case "2":
        // server has one default strategy
        // should ask for credentials
        var config = {
            auth: {
                scheme: 'basic',
                loadUserFunc: loadUser
            }
        };
        break;
    case "3":
        // server has strategies but no default
        // should assert
        var config = {
            strategies: {
                'b': {
                    scheme: 'basic',
                    loadUserFunc: loadUser
                }
            }
        };
        break;
    default:
        process.exit(-1);
}


var server = new Hapi.Server('0.0.0.0', 8080, config);

server.addRoutes([
    { method: 'GET', path: '/basic', handler: basicHandler }
]);

server.start();
